package com.engine.organization.entity.codesetting.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/5/30
 * @Version V1.0
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CodeRuleDetailPO {

    /**
     * 主键
     */
    private Long id;

    private Long coderuleId;

    /**
     * 规则类型
     */
    private String ruleType;

    /**
     * 规则值
     */
    private  String ruleValue;

    private int showOrder;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;
}
