package com.engine.organization.entity.department.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/06/02
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DepartmentMergeParam {
    /**
     * 所选部门
     */
    private Integer id;
    /**
     * 合并部门
     */
    private Integer department;
    /**
     * 合并后名称
     */
    private String mergeName;
}
