package com.engine.organization.entity.department.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/5/19
 * @Version V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DepartmentPO {
    private Integer id;
    private String departmentMark;
    private String departmentName;
    private Integer subCompanyId1;
    private Integer supDepId;
    private String allSupDepId;
    private Integer canceled;
    private String departmentCode;
    private Integer coadjutant;
    private String departmentId;

    private Date created;
    private Integer creater;
    private Date modified;
    private Integer modifier;
    private String uuid;
    private Double showOrder;
    private Integer showOrderOfTree;

}
