package com.engine.organization.entity.extend.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author:dxfeng
 * @createTime: 2022/06/14
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExtendTitlePO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 分组标识
     */
    private Long groupId;

    /**
     * 分组名称
     */
    private String title;
    /**
     * 展示排序
     */
    private Integer showOrder;

    /**
     * 是否展示
     */
    private String isShow;

    private Integer isSystemDefault;

    private Long creator;
    private Integer deleteType;
    private Date createTime;
    private Date updateTime;
}
