package com.engine.organization.entity.hrmresource.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author:dxfeng
 * @createTime: 2022/07/11
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HrmRelationSaveParam {
    /**
     * 人员ID
     */
    private Long id;

    /**
     * 等级方案ID
     */
    private Long schemeId;

    /**
     * 职等ID
     */
    private String levelId;

    /**
     * 职级ID
     */
    private Long gradeId;

    /**
     * 岗位序列ID
     */
    private Long sequenceId;

    /**
     * 职务分类ID
     */
    private Long postId;

    /**
     * 职务信息ID
     */
    private Long postInfoId;

    /**
     * 分部ID
     */
    private Long companyId;

    /**
     * 部门ID
     */
    private Long departmentId;

    /**
     * 岗位ID
     */
    private Long jobId;
}
