package com.engine.organization.entity.hrmresource.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author:dxfeng
 * @createTime: 2022/06/27
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HrmResourceImportParam {
    /**
     * id
     */
    private Long id;

    /**
     * work_code
     */
    private String work_code;

    /**
     * login_id
     */
    private String login_id;

    /**
     * last_name
     */
    private String last_name;

    /**
     * sex
     */
    private String sex;

    /**
     * account_type
     */
    private String account_type;

    /**
     * belong_to
     */
    private String belong_to;

    /**
     * company_id
     */
    private String company_id;

    /**
     * department_id
     */
    private String department_id;

    /**
     * job_activity
     */
    private String job_activity;

    /**
     * job_title
     */
    private String job_title;

    /**
     * job_call
     */
    private String job_call;

    /**
     * job_level
     */
    private String job_level;

    /**
     * job_group_id
     */
    private String job_group_id;

    /**
     * job_activity_desc
     */
    private String job_activity_desc;

    /**
     * status
     */
    private String status;

    /**
     * system_language
     */
    private String system_language;

    /**
     * resource_image_id
     */
    private String resource_image_id;

    /**
     * messager_url
     */
    private String messager_url;

    /**
     * location_id
     */
    private String location_id;

    /**
     * manager_id
     */
    private String manager_id;

    /**
     * assistant_id
     */
    private String assistant_id;

    /**
     * mobile
     */
    private String mobile;

    /**
     * telephone
     */
    private String telephone;

    /**
     * mobile_call
     */
    private String mobile_call;

    /**
     * fax
     */
    private String fax;

    /**
     * email
     */
    private String email;

    /**
     * workroom
     */
    private String workroom;

    /**
     * pass_word
     */
    private String pass_word;

    /**
     * sec_level
     */
    private String sec_level;

    /**
     * birthday
     */
    private String birthday;

    /**
     * folk
     */
    private String folk;

    /**
     * native_place
     */
    private String native_place;

    /**
     * reg_resident_place
     */
    private String reg_resident_place;

    /**
     * certificate_num
     */
    private String certificate_num;

    /**
     * marital_status
     */
    private String marital_status;

    /**
     * policy
     */
    private String policy;

    /**
     * be_member_date
     */
    private String be_member_date;

    /**
     * be_party_date
     */
    private String be_party_date;

    /**
     * islabouunion
     */
    private String islabouunion;

    /**
     * degree
     */
    private String degree;

    /**
     * health_info
     */
    private String health_info;

    /**
     * education_level
     */
    private String education_level;

    /**
     * height
     */
    private String height;

    /**
     * weight
     */
    private Integer weight;

    /**
     * use_kind
     */
    private String use_kind;

    /**
     * start_date
     */
    private String start_date;

    /**
     * end_date
     */
    private String end_date;

    /**
     * probation_end_date
     */
    private String probation_end_date;

    /**
     * resident_place
     */
    private String resident_place;

    /**
     * home_address
     */
    private String home_address;

    /**
     * temp_resident_number
     */
    private String temp_resident_number;

    /**
     * company_start_date
     */
    private String company_start_date;

    /**
     * work_start_date
     */
    private String work_start_date;

    /**
     * accum_fund_account
     */
    private String accum_fund_account;

    /**
     * account_name
     */
    private String account_name;

    /**
     * bank_id
     */
    private String bank_id;

    /**
     * account_id
     */
    private String account_id;

    /**
     * show_order
     */
    private Integer show_order;

    /**
     * classification
     */
    private String classification;

    /**
     * woprk_year
     */
    private String work_year;

    /**
     * company_work_year
     */
    private String company_work_year;

    private String baseFieldsValue;

    private String baseFields;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;
}
