package com.engine.organization.entity.hrmresource.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author:dxfeng
 * @createTime: 2022/06/21
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HrmResourcePO {
    /**
     * id
     */
    private Long id;

    /**
     * 编号
     */
    private String workCode;

    /**
     * 姓名
     */
    private String lastName;

    /**
     * 性别
     */
    private String sex;

    /**
     * 账号类型
     */
    private Integer accountType;

    /**
     * 主账号
     */
    private Long belongTo;

    /**
     * 部门
     */
    private Long departmentId;

    /**
     * 分部
     */
    private Long companyId;

    /**
     * 职务
     */
    private Long jobActivity;

    /**
     * 岗位
     */
    private Long jobTitle;

    /**
     * 职等
     */
    private String jobLevel;

    /**
     * 职务类别
     */
    private Long jobGroupId;

    /**
     * 职责描述
     */
    private String jobActivityDesc;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 照片
     */
    private String resourceImageId;

    /**
     * 办公地点
     */
    private Integer locationId;

    /**
     * 移动电话
     */
    private String mobile;

    /**
     * 办公室电话
     */
    private String telephone;

    /**
     * 电子邮件
     */
    private String email;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;

    /**
     * 入职日期
     */
    private String companyStartDate;

    /**
     * 参加工作日期
     */
    private String workStartDate;

    /**
     * 显示顺序
     */
    private Integer showOrder;

    private Long ecDepartment;

    private Long ecCompany;

    private String uuid;

    private String jobGrade;

    private String schemeId;

    private String sequenceId;

    private String baseFieldsValue;

    private String baseFields;

}
