package com.engine.organization.entity.jclimport.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author:dxfeng
 * @createTime: 2022/07/28
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CusFormFieldPO {
    private String fieldLabel;
    private Long fieldId;
    private String fieldName;
    private String required;
    /**
     * 控件类型
     */
    private Integer fieldHtmlType;
    /**
     * 控件详细标识
     */
    private String type;
    /**
     * 自定义标识
     */
    private String dmlUrl;
    private String tableName;
    private String scopeId;
}
