package com.engine.organization.entity.jclimport.vo;

import com.engine.organization.annotation.OrganizationTable;
import com.engine.organization.annotation.OrganizationTableColumn;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author:dxfeng
 * @createTime: 2022/07/26
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@OrganizationTable(pageId = "94f28954-0cca-11ed-99cf-00e04c680716",
        fields = "t.id," +
                "t.row_nums," +
                "t.operate_detail",
        fromSql = "from jcl_import_history_detail t",
        sortway = "asc",
        primarykey = "id"
)
public class JclImportHistoryDetailVO {
    @OrganizationTableColumn(column = "id", display = false)
    private Long id;
    @OrganizationTableColumn(text = "行", width = "15%", column = "row_nums")
    private String rowNums;
    @OrganizationTableColumn(text = "提示信息", width = "85%", column = "operate_detail")
    private String operateDetail;
}
