package com.engine.organization.entity.job.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/30
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class JobPO {
    /**
     * 主键
     */
    private Long id;
    /**
     * 编号
     */
    private String jobNo;
    /**
     * 名称
     */
    private String jobTitleName;
    ///**
    // * 所属分部
    // */
    //private Integer parentComp;

    /**
     * ec分部
     */
    private Integer ecCompany;
    ///**
    // * 所属部门
    // */
    //private Integer parentDept;
    /**
     * ec部门
     */
    private Integer ecDepartment;

    /**
     * 岗位序列
     */
    private Long sequenceId;
    /**
     * 等级方案
     */
    private Long schemeId;
    /**
     * 上级岗位
     */
    private Long parentJob;
    /**
     * 是否关键岗
     */
    private Integer isKey;
    /**
     * 工作地点
     */
    private String workplace;
    /**
     * 工作概述
     */
    private String description;
    /**
     * 任职职责
     */
    private String workDuty;
    /**
     * 工作权限
     */
    private String workAuthority;
    /**
     * 禁用标记
     */
    private Integer forbiddenTag;
    /**
     * 显示顺序
     */
    private Integer showOrder;

    private String gradeId;

    private String levelId;

    private Integer ecJobTitle;


    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;


}
