package com.engine.organization.entity.personnelcard;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 人员自定义显示栏目实体类
 *
 * @author:dxfeng
 * @createTime: 2022/10/09
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ResourceBaseTab {
    private Integer id;
    private String groupName;
    private Integer groupLabel;
    private Integer dspOrder;
    private String isOpen;
    private String isMand;
    private String isUsed;
    private String isSystem;
    private String linkUrl;
    private String tabNum;
}
