package com.engine.organization.entity.sequence.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/12
 * @version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SequencePO {
    /**
     * 主键
     */
    private Long id;
    /**
     * 编号
     */
    private String sequenceNo;
    /**
     * 名称
     */
    private String sequenceName;
    /**
     * 描述说明
     */
    private String description;
    /**
     * 等级方案
     */
    private Long schemeId;
    /**
     * 禁用标记
     */
    private Integer forbiddenTag;
    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;
}
