package com.engine.organization.mapper.extend;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/20
 * @version: 1.0
 */
public interface ExtDTMapper {

    /**
     * 根据主表id,查询拓展表数据
     *
     * @param tableName
     * @param id
     * @return
     */
    List<Map<String, Object>> listCompExtDT(@Param("tableName") String tableName, @Param("id") long id, @Param("fields") String fields);

    /**
     * 插入主表明细表
     *
     * @param map
     * @return
     */
    int insertCompExtDT(@Param("tableName") String tableName, @Param("map") Map<String, Object> map);

    /**
     * 根据mainId删除指定明细表数据
     *
     * @param tableName
     * @param mainId
     * @return
     */
    int deleteByMainID(@Param("tableName") String tableName, @Param("mainId") long mainId, @Param("groupId") Long groupId);
}
