package com.engine.organization.entity.browser.po;

import com.api.browser.bean.BrowserBean;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/07/14
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CustomBrowserBean extends BrowserBean {


    private String leftToSearchKey;
    private boolean hasLeftTree;
    private Map<String,Object> leftTreeParams;
    private String leftTreeUrl;
    private boolean resize;
}
