package com.engine.organization.entity.codesetting.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/5/30
 * @Version V1.0
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CodeRulePO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 编号类型（目前编号类型未知 后期可设置枚举）
     */
    private String serialType;

    /**
     * 是否开启
     */
    private String serialEnable;

    /**
     * 日期单独流水year,month,day
     */
    private String oneselfType;

    private Long creator;
    private int  deleteType;
    private Date createTime;
    private Date updateTime;
}
