package com.engine.organization.entity.company.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author:dxfeng
 * @createTime: 2022/11/24
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CompPO {
    private Integer id;
    private String subCompanyName;
    private String subCompanyDesc;
    private Integer companyId;
    private Integer supSubComId;
    private String url;
    private Integer canceled;
    private String subCompanyCode;
    private String outKey;
    private Integer limitUsers;
    private Date created;
    private Integer creater;
    private Date modified;
    private Integer modifier;
    private String uuid;
    private Integer showOrder;
    private Integer showOrderOfTree;
}
