package com.engine.organization.entity.hrmresource.param;

import com.engine.organization.common.BaseQueryParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author:dxfeng
 * @createTime: 2022/06/21
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HrmResourceSearchParam extends BaseQueryParam {
    /**
     * 姓名
     */
    private String lastName;

    /**
     * 直接上级
     */
    private Long managerId;

    /**
     * 分部
     */
    private Long companyId;

    /**
     * 部门
     */
    private Long departmentId;
    /**
     * 分部
     */
    private Long ecCompany;

    /**
     * 部门
     */
    private Long ecDepartment;

    /**
     * 移动电话
     */
    private String mobile;

    /**
     * 办公电话
     */
    private String telephone;

    /**
     * 其他电话
     */
    private String mobileCall;

    /**
     * 岗位
     */
    private Long jobTitle;
}
