package com.engine.organization.entity.job.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/06/02
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class JobMergeParam {
    /**
     * 所选岗位
     */
    private Long id;
    /**
     * 合并到的岗位
     */
    private Long targetJob;
    /**
     * 合并后名称
     */
    private String mergeName;
}
