package com.engine.organization.entity.postion.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/13
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PostInfoPO {
    /**
     * 主键
     */
    private Long id;
    /**
     * 编号
     */
    private String postInfoNo;
    /**
     * 名称
     */
    private String postInfoName;
    /**
     * 权限
     */
    private String postInfoAuthority;
    /**
     * 责任
     */
    private String postInfoDuty;
    /**
     * 资格
     */
    private String postInfoQualification;
    /**
     * 职务分类
     */
    private Long postId;
    /**
     * 说明
     */
    private String description;

    /**
     * 禁用标记
     */
    private Integer forbiddenTag;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;

}
