package com.engine.organization.entity.postion.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/13
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PostPO {
    /**
     * 主键
     */
    private Long id;
    /**
     * 名称
     */
    private String postName;
    /**
     * 说明
     */
    private String description;
    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;

}
