package com.engine.organization.entity.scheme.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author dxfeng
 * @description:
 * @Date 2022/5/11
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GradeSearchParam {

    /**
     * 主键
     */
    private Long id;
    /**
     * 编号
     */
    private String gradeNo;
    /**
     * 名称
     */
    private String gradeName;
    /**
     * 描述说明
     */
    private String description;
    /**
     * 等级方案
     */
    private Long schemeId;
    /**
     * 职等
     */
    private String levelId;
    /**
     * 禁用标记
     */
    private Boolean forbiddenTag;

}
