package com.engine.organization.entity.sequence.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author dxfeng
 * @description:
 * @Date 2022/5/12
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SequenceSearchParam {

    private Long id;
    /**
     * 编号
     */
    private String sequenceNo;

    /**
     * 名称
     */
    private String sequenceName;

    /**
     * 方案说明
     */
    private String description;

    /**
     * 等级方案
     */
    private Long schemeId;

    /**
     * 禁用标记
     */
    private Boolean forbiddenTag;

}
