package com.engine.organization.entity.staff.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StaffPlanSearchParam {
    /**
     * 主键
     */
    private Long id;
    /**
     * 编号
     */
    private String planNo;
    /**
     * 名称
     */
    private String planName;
    /**
     * 年度
     */
    private Integer planYear;
    /**
     * 时间开始
     */
    private String timeStart;
    /**
     * 时间结束
     */
    private String timeEnd;
    /**
     * 适用公司
     */
    private String companyId;
    private String ecCompany;
    /**
     * 控制维度
     */
    private String controlDimension;
    /**
     * 说明
     */
    private String description;
    /**
     * 状态
     */
    private Boolean forbiddenTag;
}
