package com.engine.organization.mapper.job;

import com.engine.organization.entity.job.po.JobDTPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/31
 * @version: 1.0
 */
public interface JobDTMapper {
    /**
     * 查询明细表数据
     *
     * @param mainId
     * @return
     */
    List<JobDTPO> listJobDTByMainID(@Param("mainId")  Long mainId);
    /**
     * 批量删除
     *
     * @param mainId
     */
    int deleteByIds(@Param("mainId")  Long mainId);

    /**
     * 添加数据
     *
     * @param jobDTPO
     * @return
     */
    int insertIgnoreNull(JobDTPO jobDTPO);

}
