package com.engine.organization.service;

import com.engine.organization.enums.ModuleTypeEnum;
import weaver.hrm.User;

import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/12/8
 * @Version V1.0
 **/
public interface VersionManageService {

    /**
     * 版本记录保存
     * @param moduleTypeEnum
     * @param params
     */
    void save(ModuleTypeEnum moduleTypeEnum, Map<String, Object> params, User user);

    /**
     * 版本记录查询
     * @param moduleTypeEnum
     * @param params
     */
    Map<String, Object> getVersion(ModuleTypeEnum moduleTypeEnum,Map<String, Object> params, User user);
}
